import '../../food_delivery_client.dart';

abstract class AppUtils {
  static const SizedBox kSizedBox = SizedBox.shrink();

  static const Radius kRadius = Radius.zero;
  static const Radius kRadius8 = Radius.circular(8);
  static const Radius kRadius12 = Radius.circular(12);
  static const Radius kRadius14 = Radius.circular(14);
  static const Radius kRadius15 = Radius.circular(15);
  static const Radius kRadius16 = Radius.circular(16);
  static const Radius kRadius20 = Radius.circular(20);
  static const Radius kRadius22 = Radius.circular(22);
  static const Radius kRadius24 = Radius.circular(24);
  static const Radius kRadius25 = Radius.circular(25);
  static const Radius kRadius30 = Radius.circular(30);
  static const BorderRadius kBorderRadius = BorderRadius.zero;
  static const BorderRadius kBorderRadius2 = BorderRadius.all(
    Radius.circular(2),
  );
  static const BorderRadius kBorderRadius4 = BorderRadius.all(
    Radius.circular(4),
  );
  static const BorderRadius kBorderRadius6 = BorderRadius.all(
    Radius.circular(6),
  );
  static const BorderRadius kBorderRadius8 = BorderRadius.all(
    Radius.circular(8),
  );
  static const BorderRadius kBorderRadius9 = BorderRadius.all(
    Radius.circular(9),
  );
  static const BorderRadius kBorderRadius10 = BorderRadius.all(
    Radius.circular(10),
  );
  static const BorderRadius kBorderRadius12 = BorderRadius.all(
    Radius.circular(12),
  );
  static const BorderRadius kBorderRadius14 = BorderRadius.all(
    Radius.circular(14),
  );
  static const BorderRadius kBorderRadius15 = BorderRadius.all(
    Radius.circular(15),
  );
  static const BorderRadius kBorderRadius16 = BorderRadius.all(
    Radius.circular(16),
  );
  static const BorderRadius kBorderRadius18 = BorderRadius.all(
    Radius.circular(18),
  );
  static const BorderRadius kBorderRadius20 = BorderRadius.all(
    Radius.circular(20),
  );
  static const BorderRadius kBorderRadius22 = BorderRadius.all(
    Radius.circular(22),
  );
  static const BorderRadius kBorderRadius24 = BorderRadius.all(
    Radius.circular(24),
  );

  static const BorderRadius kBorderRadius25 = BorderRadius.all(
    Radius.circular(25),
  );
  static const BorderRadius kBorderRadius26 = BorderRadius.all(
    Radius.circular(26),
  );
  static const BorderRadius kBorderRadius28 = BorderRadius.all(
    Radius.circular(28),
  );
  static const BorderRadius kBorderRadius30 = BorderRadius.all(
    Radius.circular(30),
  );
  static const BorderRadius kBorderRadius32 = BorderRadius.all(
    Radius.circular(32),
  );
  static const BorderRadius kBorderRadius34 = BorderRadius.all(
    Radius.circular(34),
  );
  static const BorderRadius kBorderRadius36 = BorderRadius.all(
    Radius.circular(36),
  );
  static const BorderRadius kBorderRadius38 = BorderRadius.all(
    Radius.circular(38),
  );
  static const BorderRadius kBorderRadius40 = BorderRadius.all(
    Radius.circular(40),
  );
  static const BorderRadius kBorderRadiusTop15 = BorderRadius.only(
    topLeft: kRadius15,
    topRight: kRadius15,
  );
  static const BorderRadius kBorderRadiusTop20 = BorderRadius.only(
    topLeft: kRadius20,
    topRight: kRadius20,
  );

  static const BorderRadius kBorderRadiusTop30 = BorderRadius.only(
    topLeft: kRadius30,
    topRight: kRadius30,
  );
  static const BorderRadius kBorderRadiusTop20Bottom20 = BorderRadius.only(
    bottomRight: kRadius20,
    topRight: kRadius20,
  );
  static const BorderRadius kBorderRadiusTop15Bottom15 = BorderRadius.only(
    bottomRight: kRadius15,
    topRight: kRadius15,
  );
  static const BorderRadius kBorderRadiusBottom15 = BorderRadius.only(
    bottomLeft: kRadius15,
    bottomRight: kRadius15,
  );
}
